Summary: Shadow password file utilities for Linux
Name: shadow-utils
Version: 960530
Release: 6
Source: ftp://ftp.ists.pwr.wroc.pl/pub/linux/shadow/dontuse/shadow-960530.tar.gz
Copyright: Free
Group: Utilities/System
Patch: shadow-960530-all.patch
Patch1: shadow-960530-glibc.patch
BuildRoot: /tmp/shadow-utils

%description
This package includes the programs necessary to convert standard
UNIX password files to the shadow password format.
        - 'pwconv5' converts everything to the shadow password format.
        - 'pwunconv' unconverts from shadow passwords, generating a file 
           in the current directory called npasswd that is a standard UNIX 
           password file.
        - 'pwck' checks the integrity of the password and shadow files.
        - 'lastlog' prints out the last login times of all users.

A number of man pages are also included that relate to these utilities,
and shadow passwords in general.

%prep
# This is just a few of the core utilities from the shadow suite...
# packaged up for use w/PAM
%setup -n shadow-960530
%patch -p1

%ifarch axp
%patch1 -p1
%endif

%build
find . -name "*.orig" | xargs rm -fv
make maintainer-clean
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/etc
for I in 3 5 8; do
	mkdir -p $RPM_BUILD_ROOT/usr/man/man$I
done
install -m 0644 man/shadow.5 $RPM_BUILD_ROOT/usr/man/man5/shadow.5
install -m 0644 man/login.defs.5 $RPM_BUILD_ROOT/usr/man/man5/login.defs.5
install -m 0644 man/pwunconv.8 $RPM_BUILD_ROOT/usr/man/man8/pwunconv.8
install -m 0644 man/pwck.1 $RPM_BUILD_ROOT/usr/man/man8/pwck.8
install -m 0644 man/shadow.3 $RPM_BUILD_ROOT/usr/man/man3/shadow.3
install -s -m 0755 src/pwconv5 $RPM_BUILD_ROOT/usr/sbin/pwconv5
install -s -m 0755 src/lastlog $RPM_BUILD_ROOT/usr/sbin/lastlog
install -s -m 0755 src/pwck $RPM_BUILD_ROOT/usr/sbin/pwck
install -s -m 0755 src/pwunconv $RPM_BUILD_ROOT/usr/sbin/pwunconv
touch $RPM_BUILD_ROOT/etc/login.defs
chmod 0640 $RPM_BUILD_ROOT/etc/login.defs
chown root $RPM_BUILD_ROOT/etc/login.defs
chgrp root $RPM_BUILD_ROOT/etc/login.defs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/login.defs
/usr/sbin/*
/usr/man/*/*
